Skip to main content
POST
Adds a product to a Package Option

Path Parameters

productPricesDetailId
integer
required

ProductPricesDetail to be linked to the PackageProduct.

optionId
integer
required

The ID of the Package Option

supplierapi
string
required
Pattern: supplier|apiv1/supplier

Query Parameters

quantity
integer

Quantity of the ProductPricesDetail to be included. Defaults to 1.

ordering
integer
required

Sort ordering for the PackageProduct. The ordering for other PackageProducts will be adjusted as necessary to accommodate the new PackageProduct's ordering.

rrpDifference
number<float>

Amount to add onto package's base RRP if this Package Product is selected. If null, the difference between the RRP for this product and the RRP for the cheapest product in the option will be used. Must be null for the cheapest product in this package option.

Response

Returned when successful.